<template>
  <v-layout 
    align-center
    wrap
  >
    <v-flex xs12 md8 offset-md2>
      <v-card light>
        <v-card-title>
            Newsletter signup
        </v-card-title>
        <v-card-text>
          <NewsletterForm></NewsletterForm>
        </v-card-text>
      </v-card>
    </v-flex>
  </v-layout>
</template>


<script lang="ts">
import Vue from 'vue';

import NewsletterForm from '@/components/NewsletterForm.vue';

export default Vue.extend({
  components: {
    NewsletterForm,
  },
  mounted() {
    this.$store.commit('SET_TITLE', 'Newsletter');
  },
});
</script>
